Page MenuHomePhabricator

Display article badges on client
Closed, ResolvedPublic

Description

The article badges stored in Wikidata (WikibaseRepo) should be displayed on each client's interwiki list. As stored in the config, there is a mapping from badge id to an icon url. This icon should be used. At the moment, the icons are added via the css list-style-image property. Perhaps we can just use this css code:

li.badge-q42 {

list-style-image: url("link-to-icon");

}


Version: unspecified
Severity: enhancement
Whiteboard: u=dev c=frontend p=5 s=2014-04-23

Details

Reference
bz60717

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:02 AM
bzimport set Reference to bz60717.
bzimport added a subscriber: Unknown Object (MLST).
Bene created this task.Feb 1 2014, 10:57 AM
Bene added a comment.Feb 1 2014, 12:07 PM

For that purpose we need a clever way to get the badge that should be displayed from all badges the site link has. Also we need some hooks etc. to insert another class into the language links list in core.

Change 111001 had a related patch set uploaded by Bene:
Add SkinTemplateGetLanguageLink hook

https://gerrit.wikimedia.org/r/111001

Change 110832 had a related patch set uploaded by Parent5446:
Add SkinTemplateLanguageLinks hook

https://gerrit.wikimedia.org/r/110832

Change 111159 had a related patch set uploaded by Bene:
Add title to list item of language link

https://gerrit.wikimedia.org/r/111159

Change 111609 had a related patch set uploaded by Bene:
Insert badges for language links on client

https://gerrit.wikimedia.org/r/111609

Change 110832 abandoned by TTO:
Add SkinTemplateLanguageLinks hook

Reason:
Anomie has suggested more appropriate ways to solve the problems this patch was trying to address. I'll continue to work on https://gerrit.wikimedia.org/r/111390.

https://gerrit.wikimedia.org/r/110832

Change 111001 merged by jenkins-bot:
Add SkinTemplateGetLanguageLink hook

https://gerrit.wikimedia.org/r/111001

Change 111159 merged by jenkins-bot:
Add title to list item of language link

https://gerrit.wikimedia.org/r/111159

Change 123447 had a related patch set uploaded by Bene:
Insert css styles for badges on client

https://gerrit.wikimedia.org/r/123447

Change 123449 had a related patch set uploaded by Bene:
Support getting single sitelinks with ClientSiteLinkLookup

https://gerrit.wikimedia.org/r/123449

Change 124605 had a related patch set uploaded by Bene:
Insert classes for badges on client

https://gerrit.wikimedia.org/r/124605

Change 111609 abandoned by Bene:
Insert badges for language links on client

Reason:
This is splitted up into several minor changes so that this one is no longer needed.

https://gerrit.wikimedia.org/r/111609

Change 123447 merged by jenkins-bot:
Insert css styles for badges on client

https://gerrit.wikimedia.org/r/123447

Change 123449 merged by jenkins-bot:
Support getting single sitelinks with ClientSiteLinkLookup

https://gerrit.wikimedia.org/r/123449

Change 124605 merged by jenkins-bot:
Insert classes for badges on client

https://gerrit.wikimedia.org/r/124605